## gate.event
Interface DatastoreListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  DatabaseAnnotationSetImpl, DatabaseCorpusImpl, DatabaseDocumentImpl, SerialCorpusImpl, OracleDatastoreViewer, SerialDatastoreViewer

public interface DatastoreListener
extends EventListener

A listener for `DatastoreEvent`s.

Method Summary
`void` `resourceAdopted(DatastoreEvent evt)` Called by a datastore when a new resource has been adopted
`void` `resourceDeleted(DatastoreEvent evt)` Called by a datastore when a resource has been deleted
`void` `resourceWritten(DatastoreEvent evt)` Called by a datastore when a resource has been wrote into the datastore

Method Detail

### resourceAdopted

    public void resourceAdopted(DatastoreEvent evt)

  Called by a datastore when a new resource has been adopted

### resourceDeleted

    public void resourceDeleted(DatastoreEvent evt)

  Called by a datastore when a resource has been deleted

### resourceWritten

    public void resourceWritten(DatastoreEvent evt)

  Called by a datastore when a resource has been wrote into the datastore